Name:           python-rayvision-api
Version:        3.0.3.23
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python-based API for Using Renderbus cloud rendering service.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.renderbus.com/internal/rayvision_api
Source:         %{pypi_source rayvision_api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rayvision-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rayvision-api
Summary:        %{summary}

%description -n python3-rayvision-api %_description


%prep
%autosetup -p1 -n rayvision_api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rayvision-api -f %{pyproject_files}


%changelog
%autochangelog